############################################################################
# configs/olimex-stm32-e407/src/Makefile
#
#   Copyright (C) 2016 Gregory Nutt. All rights reserved.
#   Author: Gregory Nutt <gnutt@nuttx.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name NuttX nor the names of its contributors may be
#    used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
############################################################################

-include $(TOPDIR)/Make.defs

ASRCS =
<<<<<<< 375931083e74a20bc9edb4b2b31ef702721bf08b
<<<<<<< 456babb12f9b6501bc0d248451a942ec6b6f82b5
CSRCS = stm32_boot.c stm32_bringup.c stm32_spi.c
=======
CSRCS = stm32_boot.c stm32_bringup.c
>>>>>>> Modification of the boot sequence
=======
CSRCS = stm32_boot.c stm32_bringup.c stm32_spi.c
>>>>>>> Added SPI support for Olimex-STM32-E407

ifeq ($(CONFIG_ARCH_LEDS),y)
CSRCS += stm32_autoleds.c
else
CSRCS += stm32_userleds.c
endif

ifeq ($(CONFIG_PM_BUTTONS),y)
CSRCS += stm32_pmbuttons.c
endif

ifeq ($(CONFIG_ARCH_BUTTONS),y)
CSRCS +=  stm32_buttons.c
endif

ifeq ($(CONFIG_NSH_LIBRARY),y)
CSRCS += stm32_appinit.c
endif

ifeq ($(CONFIG_ARCH_IDLE_CUSTOM),y)
CSRCS += stm32_idle.c
endif

ifeq ($(CONFIG_STM32_FSMC),y)
CSRCS += stm32_extmem.c
endif

<<<<<<< c0e71dc2af34dbed514f90e1e59550f4b8aedd19
<<<<<<< 843efa1c801958d1f97f5bd6daff701f2f2f9972
=======
>>>>>>> Adding support to use the timers in the Olimex board
ifeq ($(CONFIG_TIMER),y)
CSRCS += stm32_timer.c
endif

<<<<<<< c0e71dc2af34dbed514f90e1e59550f4b8aedd19
=======
>>>>>>> Adding power management support to Olimex-STM32-E407
=======
>>>>>>> Adding support to use the timers in the Olimex board
ifeq ($(CONFIG_ARCH_CUSTOM_PMINIT),y)
CSRCS += stm32_pm.c
endif

ifeq ($(CONFIG_PM_BUTTONS),y)
CSRCS += stm32_pmbuttons.c
endif

ifeq ($(CONFIG_STM32_OTGFS),y)
CSRCS += stm32_usb.c
endif

ifeq ($(CONFIG_STM32_OTGHS),y)
CSRCS += stm32_usb.c
endif

ifeq ($(CONFIG_CL_MFRC522),y)
  CSRCS += stm32_mfrc522.c
endif

ifeq ($(CONFIG_ADC),y)
CSRCS +=  stm32_adc.c
endif

ifeq ($(CONFIG_CAN),y)
CSRCS += stm32_can.c
endif

ifeq ($(CONFIG_ARCH_FPU),y)
CSRCS += stm32_ostest.c
endif

ifeq ($(CONFIG_SENSORS_BMP180),y)
  CSRCS += stm32_bmp180.c
endif

<<<<<<< b6db792999c87f8c5b20111e0478fdad5b75421e
<<<<<<< 456babb12f9b6501bc0d248451a942ec6b6f82b5
=======
>>>>>>> Fix Sensor KConfig
ifeq ($(CONFIG_SENSORS_HIH6130),y)
  CSRCS += stm32_hih6130.c
endif

<<<<<<< dc34fabbe480b54f4983e2dd42ef7db5ba7ef0be
<<<<<<< e19912433cc600850240aa44cb2557a89114740c
<<<<<<< b6db792999c87f8c5b20111e0478fdad5b75421e
=======
>>>>>>> Added INA219 Voltage/Current support for Olimex-STM32-E407
ifeq ($(CONFIG_SENSORS_INA219),y)
  CSRCS += stm32_ina219.c
endif

<<<<<<< dc34fabbe480b54f4983e2dd42ef7db5ba7ef0be
=======
>>>>>>> Add XBee initialization support for Olimex-STM32-E407 board
=======
>>>>>>> Added INA219 Voltage/Current support for Olimex-STM32-E407
ifeq ($(CONFIG_IEEE802154_XBEE),y)
  CSRCS += stm32_xbee.c
endif

<<<<<<< a10b2847bf73d3c50787abf03044c35a24b77234
<<<<<<< e19912433cc600850240aa44cb2557a89114740c
=======
>>>>>>> Add mrf24j40 support for Olimex-stm32-e407 board
ifeq ($(CONFIG_IEEE802154_MRF24J40),y)
CSRCS += stm32_mrf24j40.c
endif

<<<<<<< 462478f65e925de56a1b83b353b31aeec1f8056b
<<<<<<< a10b2847bf73d3c50787abf03044c35a24b77234
=======
>>>>>>> Add support for the on board SD reader
ifeq ($(CONFIG_STM32_SDIO),y)
CSRCS += stm32_sdio.c
endif

<<<<<<< cd32cf423cace7c16850f99767e71836c5886d9b
<<<<<<< 462478f65e925de56a1b83b353b31aeec1f8056b
=======
>>>>>>> Implementation of DAC for the Olimex Board
ifeq ($(CONFIG_DAC),y)
CSRCS += stm32_dac.c
endif

<<<<<<< cd32cf423cace7c16850f99767e71836c5886d9b
=======
>>>>>>> Modification of the boot sequence
=======
>>>>>>> Fix Sensor KConfig
=======
>>>>>>> Add XBee initialization support for Olimex-STM32-E407 board
=======
>>>>>>> Add mrf24j40 support for Olimex-stm32-e407 board
=======
>>>>>>> Add support for the on board SD reader
=======
>>>>>>> Implementation of DAC for the Olimex Board

include $(TOPDIR)/configs/Board.mk
